<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: FEMB_CnC Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">FEMB_CnC Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for FEMB_CnC:</div>
<div class="dyncontent">
<div class="center"><img src="classFEMB__CnC__inherit__graph.png" border="0" usemap="#FEMB__CnC_inherit__map" alt="Inheritance graph"/></div>
<map name="FEMB__CnC_inherit__map" id="FEMB__CnC_inherit__map">
<area shape="rect" id="node4" href="classWIB.html" title="WIB" alt="" coords="209,155,257,181"/><area shape="rect" id="node2" href="classSBND__PWM__CLK__ENCODER.html" title="work.SBND_PWM_CLK_ENCODER" alt="" coords="5,5,252,32"/><area shape="rect" id="node3" href="classcounter.html" title="work.counter(5)" alt="" coords="277,5,397,32"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classFEMB__CnC-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classFEMB__CnC_1_1FEMB__CnC.html">FEMB_CnC</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classFEMB__CnC.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:a6f9da7f73df4b8f0737f823d1804c63e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6f9da7f73df4b8f0737f823d1804c63e"></a>
<a class="el" href="classFEMB__CnC.html#a6f9da7f73df4b8f0737f823d1804c63e">COLDATA_CNC_package</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:a17f1ff432cbf62fedbc71531fc788255"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a17f1ff432cbf62fedbc71531fc788255"></a>
<a class="el" href="classFEMB__CnC.html#a17f1ff432cbf62fedbc71531fc788255">FEMB_CnC_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classFEMB__CnC__IO.html"> &lt;FEMB_CnC_IO&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:ac6395c75b6c1e83d6d0de2ecab0b86e1"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac6395c75b6c1e83d6d0de2ecab0b86e1"></a>
<a class="el" href="classFEMB__CnC.html#ac6395c75b6c1e83d6d0de2ecab0b86e1">clk_DUNE</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae2b4400c6bb2a5643270a7c2de0150e5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae2b4400c6bb2a5643270a7c2de0150e5"></a>
<a class="el" href="classFEMB__CnC.html#ae2b4400c6bb2a5643270a7c2de0150e5">clk_SBND</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5dee59e6dfd116b6e40669ba272461f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5dee59e6dfd116b6e40669ba272461f"></a>
<a class="el" href="classFEMB__CnC.html#aa5dee59e6dfd116b6e40669ba272461f">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad5b05079c2ddf02755a6eca76274c513"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad5b05079c2ddf02755a6eca76274c513"></a>
<a class="el" href="classFEMB__CnC.html#ad5b05079c2ddf02755a6eca76274c513">cmd_convert</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a26496902eb98049af98c0bac4b2e147b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a26496902eb98049af98c0bac4b2e147b"></a>
<a class="el" href="classFEMB__CnC.html#a26496902eb98049af98c0bac4b2e147b">cmd_calibrate</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ace9b439391aa312e28f41019ca41396a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace9b439391aa312e28f41019ca41396a"></a>
<a class="el" href="classFEMB__CnC.html#ace9b439391aa312e28f41019ca41396a">cmd_sync</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a963b44ad43c208fa2a1def9d8baec13b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a963b44ad43c208fa2a1def9d8baec13b"></a>
<a class="el" href="classFEMB__CnC.html#a963b44ad43c208fa2a1def9d8baec13b">cmd_reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3656aa496d8c85f5010dc33e8898669c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3656aa496d8c85f5010dc33e8898669c"></a>
<a class="el" href="classFEMB__CnC.html#a3656aa496d8c85f5010dc33e8898669c">COLDATA_cmd</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9480633405c4dde5a6f21a43bdd99184"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9480633405c4dde5a6f21a43bdd99184"></a>
<a class="el" href="classFEMB__CnC.html#a9480633405c4dde5a6f21a43bdd99184">COLDATA_clk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a552fc60635b2843f9dc4f8fc29135cd8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a552fc60635b2843f9dc4f8fc29135cd8"></a>
<a class="el" href="classFEMB__CnC.html#a552fc60635b2843f9dc4f8fc29135cd8">COLDATA_cmd_sel</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6098c6c423b0e2620380b66d074ff721"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6098c6c423b0e2620380b66d074ff721"></a>
<a class="el" href="classFEMB__CnC.html#a6098c6c423b0e2620380b66d074ff721">COLDATA_clk_sel</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a30d540c70db5891362959ea026c9cf8a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30d540c70db5891362959ea026c9cf8a"></a>
<a class="el" href="classFEMB__CnC.html#a30d540c70db5891362959ea026c9cf8a">monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">FEMB_CNC_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa70346621f73a7ec8e8fc33b4dcb76af"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa70346621f73a7ec8e8fc33b4dcb76af"></a>
<a class="el" href="classFEMB__CnC.html#aa70346621f73a7ec8e8fc33b4dcb76af">control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">FEMB_CNC_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="FEMB__CnC_8vhd_source.html#l00007">7</a> of file <a class="el" href="FEMB__CnC_8vhd_source.html">FEMB_CnC.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/FEMB_CnC/<a class="el" href="FEMB__CnC_8vhd_source.html">FEMB_CnC.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:33 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
